Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81448 - Sox coredumps on vorbis recording
Summary: Sox coredumps on vorbis recording
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sox
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-09 16:34 UTC by Jerry Quinn
Modified: 2014-03-17 02:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-21 22:02:37 UTC


Attachments (Terms of Use)

Description Jerry Quinn 2003-01-09 16:34:19 UTC
Description of problem:

[jlquinn@smaug jlquinn]$ sox -t ossdsp /dev/dsp junk.vorbis
sox: Sound card appears to only support 2 channels.  Overriding format

Channels: 2  Rate: 8000
Segmentation fault


Version-Release number of selected component (if applicable):

sox-12.17.3-7

Comment 1 Michael Lee Yohe 2003-01-09 21:08:18 UTC
What kind of sound card is installed on the system?  Also, are you piping raw
Ogg/Vorbis encoded data into /dev/dsp? (I didn't know that sox supported
decoding Ogg/Vorbis encoded audio data).

Comment 2 Elliot Lee 2003-02-21 22:02:37 UTC
sox defaults to a bitrate that vorbis can't handle, and then ignores the
resulting error.

Fixed in 12.17.3-10 by adding an error message.


Note You need to log in before you can comment on or make changes to this bug.